Bug 70283 - noatun crashes when applying the kjofol plugin
Summary: noatun crashes when applying the kjofol plugin
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kdemultimedia   
(Show other bugs)
Version: limbo
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-07-31 14:32 UTC by Nathan G. Grennan
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 15:09:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan G. Grennan 2002-07-31 14:32:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
noatun will crash be default when selecting the kjofol plugin. It doesn't seem
to like any of it's default themes. If you move the all but one of it's skins
out of /usr/share/apps/noatun/kjskins and apply the plugin on some it will crash
instantly on others it will give an error message about the skin and if you try
further to get it to work it will crash.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install noatun
2. Run noatun
3. Go to Settings|Configure Noatun|Plugins
4. Check Kjofol plugin
5. Uncheck Excellent plugin
6. Click Apply
	

Actual Results:  noatun crashes

Expected Results:  Noatun to use a Kjofol skin and not crash

Additional info:

Limbo beta2

Comment 1 Phil Knirsch 2002-08-08 15:37:56 UTC
Could you list the package versions of

  kernel
  glibc
  kde*
  noatun
  arts

I'm using the latest rawhide kernel and glibc as well as

  noatun-3.0.2-3
  arts-1.0.2-4

Thanks,

Read ya, Phil

Comment 2 Nathan G. Grennan 2002-08-09 06:59:18 UTC
Still crashes.

kernel-2.4.18-7.93
glibc-2.2.90-17

kdeaddons-konqueror-3.0.2-3
kdebindings-devel-3.0.2-3
kdelibs-devel-3.0.2-5
kdebase-3.0.2-7
kdemultimedia-arts-3.0.2-3
kdegames-devel-3.0.2-2
kdemultimedia-devel-3.0.2-3
kdenetwork-libs-3.0.2-3
kdeartwork-screensavers-3.0.2-3
kdeaddons-kate-3.0.2-3
kdebindings-kdec-3.0.2-3
kdelibs-3.0.2-5
kdemultimedia-libs-3.0.2-3
kdeartwork-3.0.2-3
kdenetwork-devel-3.0.2-3
kdebindings-qtc-3.0.2-3
kdebase-devel-3.0.2-7
kdegames-3.0.2-2
kdemultimedia-kfile-3.0.2-3
kdepasswd-3.0.2-3
kdeaddons-kicker-3.0.2-3
kdebindings-3.0.2-3

noatun-3.0.2-3
arts-1.0.2-4


Comment 3 Phil Knirsch 2002-08-21 10:58:43 UTC
Hm, could you try that with a new user with a clean home dir? I can switch skins
without a problem.

Read ya, Phil

Comment 4 Nathan G. Grennan 2002-08-21 14:58:02 UTC
cd /home/test
rm <all but what comes from /etc/skel>
cd /tmp
rm -r .*-test *-test
ls -alR | grep test  = no output
login as test
open terminal window
run noatun from the terminal window
Select Settings menu
Select Configure Noatun
Select Plugins
Check the box on the dialog window warning about interrupting playback
Click OK
Check Kfojol
Uncheck Excellent
Click OK
Get KDE crash dialog window

Comment 5 Phil Knirsch 2002-08-21 15:09:00 UTC
To be honest, i think that this bug and your other kde bug are somewho releated
(#70287).

Read ya, Phil

Comment 6 Ngo Than 2002-10-16 16:13:33 UTC
It's fixed in 3.0.4-1 or newer.


Note You need to log in before you can comment on or make changes to this bug.